Ekipe
GET https://tistos.com/api/teams/
curl --request GET \
--url 'https://tistos.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Podrobnosti | Opis |
|---|---|---|
| search | Neobvezno Niz | Iskalni niz. |
| search_by | Neobvezno Niz | Po katerem področju iščete? Dovoljene vrednosti so: name. |
| datetime_field | Neobvezno Niz | Dovoljene vrednosti: datetime, last_datetime |
| datetime_start | Neobvezno Niz | Filtrirajte rezultate od tega datuma in časa naprej. Format Y-m-d H:i:s. |
| datetime_end | Neobvezno Niz | Filtrirajte rezultate do tega datuma in časa. Format Y-m-d H:i:s. |
| order_by | Neobvezno Niz | Po katerem polju naj se razvrstijo rezultati. Dovoljene vrednosti so: team_id, datetime, last_datetime, name. |
| order_type | Neobvezno Niz | Razvrščanje rezultatov. Dovoljene vrednosti so: ASC za naraščajoče razvrščanje in DESC za padajoče razvrščanje. |
| page | Neobvezno Celo število | Številka strani, iz katere želite rezultate. Privzeto je 1. |
| results_per_page | Neobvezno Celo število | Koliko rezultatov želite na stran. Dovoljene vrednosti so: 10, 25, 50, 100, 250, 500, 1000. Privzeto je 25. |
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-07-18 15:22:04",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-07-18 15:22:04",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/teams?page=1",
"last": "https://tistos.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/teams?page=1"
}
}
GET https://tistos.com/api/teams/{team_id}
curl --request GET \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-07-18 15:22:04",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-07-18 15:22:04",
}
}
POST https://tistos.com/api/teams
| Parametri | Podrobnosti | Opis |
|---|---|---|
| name | Obvezno Niz | - |
curl --request POST \
--url 'https://tistos.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://tistos.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/teams/{team_id}
| Parametri | Podrobnosti | Opis |
|---|---|---|
| name | Neobvezno Niz | - |
curl --request POST \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \